remove bogus build steps, added retries to yarn install in new places

fixes #138983
This commit is contained in:
Joao Moreno 2021-12-13 14:24:18 +01:00
parent 0d9f75df79
commit 39f1f7bd41
No known key found for this signature in database
GPG key ID: 896B853774D1A575
5 changed files with 28 additions and 21 deletions

View file

@ -295,9 +295,6 @@ jobs:
- name: Run Valid Layers Checks
run: yarn valid-layers-check
- name: Compile /build/
run: yarn --cwd build compile
- name: Run eslint
run: yarn eslint

View file

@ -29,9 +29,15 @@ steps:
- script: |
set -e
yarn --cwd build
yarn --cwd build compile
displayName: Compile build tools
for i in {1..3}; do # try 3 times, for Terrapin
yarn --cwd build --frozen-lockfile && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1
fi
echo "Yarn failed $i, trying again..."
done
displayName: Install build dependencies
- download: current
artifact: unsigned_vscode_client_darwin_$(VSCODE_ARCH)_archive

View file

@ -65,9 +65,15 @@ steps:
- script: |
set -e
yarn --cwd build
yarn --cwd build compile
displayName: Compile build tools
for i in {1..3}; do # try 3 times, for Terrapin
yarn --cwd build --frozen-lockfile && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1
fi
echo "Yarn failed $i, trying again..."
done
displayName: Install build dependencies
- script: |
set -e

View file

@ -173,9 +173,15 @@ stages:
- script: |
set -e
yarn --cwd build
yarn --cwd build compile
displayName: Compile build tools
for i in {1..3}; do # try 3 times, for Terrapin
yarn --cwd build --frozen-lockfile && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1
fi
echo "Yarn failed $i, trying again..."
done
displayName: Install build dependencies
- script: |
set -e

View file

@ -24,7 +24,7 @@ steps:
- task: ExtractFiles@1
displayName: Extract compilation output
inputs:
archiveFilePatterns: '$(Build.ArtifactStagingDirectory)/compilation.tar.gz'
archiveFilePatterns: "$(Build.ArtifactStagingDirectory)/compilation.tar.gz"
cleanDestinationFolder: false
- powershell: |
@ -273,14 +273,6 @@ steps:
displayName: Download ESRPClient
condition: and(succeeded(), ne(variables['VSCODE_PUBLISH'], 'false'))
- powershell: |
. build/azure-pipelines/win32/exec.ps1
$ErrorActionPreference = "Stop"
exec { yarn --cwd build }
exec { yarn --cwd build compile }
displayName: Compile build tools
condition: and(succeeded(), ne(variables['VSCODE_PUBLISH'], 'false'))
- powershell: |
. build/azure-pipelines/win32/exec.ps1
$ErrorActionPreference = "Stop"